
Foreman - Feature #4524

The logged in user should be the default one in create new hosts

03/03/2014 01:44 PM - Martin Ducar

Status: Closed   

Priority: Normal   

Assignee: Martin Ducar   

Category: Host creation   

Target version: 1.4.2   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Somewhere along the way we have lost this requested feature [452]. I have a simple solution in the views file.

Related issues:

Related to Foreman - Feature #452: the logged in user  should be the default ... Closed 11/11/2010

Related to Foreman - Feature #14013: Add setting for the default owner of new... Closed 03/02/2016

Has duplicate Foreman - Feature #4532: Default new host owner to currently lo... Duplicate 03/03/2014

Has duplicate Foreman - Bug #3771: Foreman 1.3.0: owner not populated for new... Duplicate 11/27/2013

Associated revisions

Revision 19579f87 - 03/06/2014 10:36 AM - Martin Ducar

fixes #4524 - The logged in user should be the default one in create new hosts

Revision 56226574 - 03/12/2014 10:42 AM - Martin Ducar

fixes #4524 - The logged in user should be the default one in create new hosts

(cherry picked from commit 19579f872c1b4a512500f8e07f0b066180574e4e)

History

#1 - 03/03/2014 01:54 PM - Dominic Cleal

- Related to Feature #452: the logged in user  should be the default owner when creating new hosts added

#2 - 03/03/2014 01:55 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.0

https://github.com/theforeman/foreman/pull/1263

#3 - 03/04/2014 08:26 AM - Dominic Cleal

- Has duplicate Feature #4532: Default new host owner to currently logged in user added

#4 - 03/04/2014 02:41 PM - Bryce Camp

I have tested this, it is not resolved.   The form for a new host continues to show "Select an owner" as the default

#5 - 03/04/2014 02:55 PM - Martin Ducar

Yes it is true, but this new change should set the user that host is assigned to after you create it to the currently logged in. My previous change was

changing it only in web template.

#6 - 03/04/2014 03:17 PM - Dominic Cleal

Interesting point, which makes more sense to you Martin?  I'm wondering if we need both, since a host created through the API would find the change

to the model useful, but seeing it explicitly set on the form might be best for GUI users.

05/17/2024 1/2

https://github.com/theforeman/foreman/pull/1263


#7 - 03/04/2014 03:19 PM - Bryce Camp

Showing this for GUI users would be greatly appreciated.

#8 - 03/04/2014 03:28 PM - Martin Ducar

I'm preparing the new change with both solutions

#9 - 03/06/2014 10:37 AM - Dominic Cleal

- translation missing: en.field_release set to 7

#10 - 03/06/2014 12:31 PM - Martin Ducar

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 19579f872c1b4a512500f8e07f0b066180574e4e.

#11 - 06/06/2014 05:26 PM - Dominic Cleal

- Has duplicate Bug #3771: Foreman 1.3.0: owner not populated for new hosts by default added

#12 - 03/02/2016 11:03 AM - Dominic Cleal

- Related to Feature #14013: Add setting for the default owner of new hosts added
